image: registry.gitlab.com/flightscope/training/student-homework-sheets:latest

variables:
  GIT_SUBMODULE_STRATEGY: recursive

before_script:
  - pwd
  - env
  - ls -lrta ${HOME}
  - ls -lrta ${CI_PROJECT_DIR}
  - export PATH=$HOME/.cabal/bin:$HOME/.ghcup/bin:$PATH
  - export COMMIT_TIME=$(TZ=UTC git show -s --date=format-local:'%Y-%m-%d %H:%M:%S %Z' --pretty=format:%cd $CI_COMMIT_SHA)

build:
  variables:
    COMMIT_TIME: $(TZ=UTC git show -s --date=format-local:'%Y-%m-%d %H:%M:%S %Z' --pretty=format:%cd $CI_COMMIT_SHA)
  script:
    - ./bin/build.sh "${CI_PAGES_DOMAIN}" "${CI_PAGES_URL}" "${CI_PROJECT_TITLE}" "${CI_PROJECT_URL}" "${COMMIT_TIME}" "${GITLAB_USER_NAME}" "${GITLAB_USER_EMAIL}" "${CI_COMMIT_SHA}" "${CI_PROJECT_VISIBILITY}"
  only:
    - master

pages:
  script:
    - ./bin/build.sh "${CI_PAGES_DOMAIN}" "${CI_PAGES_URL}" "${CI_PROJECT_TITLE}" "${CI_PROJECT_URL}" "${COMMIT_TIME}" "${GITLAB_USER_NAME}" "${GITLAB_USER_EMAIL}" "${CI_COMMIT_SHA}" "${CI_PROJECT_VISIBILITY}"
  artifacts:
    paths:
      - public
  only:
    - master
